﻿

Option Explicit On
Option Strict On

Imports NKH.MindSqualls

Public Class General

    Friend Shared myBrick As NxtBrick
    Friend Shared motorPair As NxtMotorSync
    Friend Shared myBattery As String


#Region "Properties"


    Private Shared _connMsg As String = "NXT Connected..."


    Friend Shared ReadOnly Property ConnectedMsg() As String
        Get
            Return _connMsg
        End Get
    End Property

    Private Shared _disconnectedMsg As String = "NXT Disconnected"

    Friend Shared ReadOnly Property DisconnectedMsg() As String
        Get
            Return _disconnectedMsg
        End Get

    End Property

    Private Shared _power As Byte
    Friend Shared Property PowerLevel As Byte        'controlled via scrollBar
        Get
            Return _power
        End Get
        Set(value As Byte)
            _power = value
        End Set
    End Property


    Private Shared _lastButton As Button
    Friend Shared Property LastButtonClicked() As Button
        Get
            Return _lastButton
        End Get
        Set(ByVal value As Button)
            _lastButton = value
        End Set
    End Property

#End Region

End Class
